
get
/v4/ledger/campaigns
Paginated per-campaign ledger accounting with leaf counts (Studio monitoring)Query parameters
chainIdstring (integer) | integerRestrict to a single chain
sortstring<key>-<asc|desc>, one of: budget, deposited, transferred, claimed, outstanding, remaining, updatedAt, startTs, registrations, endTs, campaignId, chainId. Amounts sort numerically, not as text.
pagestring (integer) | integerdefault: 00-indexed page number. A page starts at row page * items, at most 10000.
itemsstring (integer) | integerdefault: 100Number of items returned by page
Responses
200Response for status 200
Schema
object
totalnumberrequired
Rows matching the filtersitemsobject[]required
campaignIdstringchainIdnumbertokenstringbudgetstringBase units, base-10depositedstringBase units, base-10transferredstringBase units, base-10remainingstringBase units, base-10claimedstringBase units, base-10outstandingstringBase units, base-10pausedbooleanpauseReasonstringstartTsnumberUnix secondsendTsnumberUnix secondsregistrationsnumberupdatedAtnumberUnix millisrewardTokenobject | nullThe API's token record, or null for the native token and an unknown address
idstringUnique identifier for the tokennamestring | nullFull name of the tokenchainIdintegerChain IdaddressstringdecimalsnumberNumber of decimals for the tokensymbolstringSymbol of the tokeniconstringURL to the token icon imageverifiedbooleanWhether the token is verifiedisNativebooleanWhether this is a native blockchain tokenisTestbooleanWhether this is a test tokentypeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINTpricenumber | nullCurrent price of the token in USDupdatedAtnumber | nullUnix timestamp of last price updatepriceSourcestring | nullSource of the price informationdisplaySymbolstringCustom display symbol overrideunderlyingTokenIdstringIf this token is a wrapper, the ID of the underlying tokenpriceAlertDismissedAtnumberpriceAlertCountnumberleavesnumberReward entries of the campaignExample
{
"total": 0,
"items": [
{
"campaignId": "string",
"chainId": 0,
"token": "string",
"budget": "string",
"deposited": "string",
"transferred": "string",
"remaining": "string",
"claimed": "string",
"outstanding": "string",
"paused": false,
"pauseReason": "string",
"startTs": 0,
"endTs": 0,
"registrations": 0,
"updatedAt": 0,
"rewardToken": {
"id": "string",
"name": null,
"chainId": 0,
"address": "string",
"decimals": 0,
"symbol": "string",
"icon": "string",
"verified": false,
"isNative": false,
"isTest": false,
"type": null,
"price": null,
"updatedAt": null,
"priceSource": null,
"displaySymbol": "string",
"underlyingTokenId": "string",
"priceAlertDismissedAt": 0,
"priceAlertCount": 0
},
"leaves": 0
}
]
}get
https://api.merkl.xyz/v4/ledger/campaigns?page=&items=curl -X GET "https://api.merkl.xyz/v4/ledger/campaigns?page=0&items=100"